// Generated by dts-bundle-generator v8.1.2

import { ESLintConfig, Rules } from 'eslint-define-config';

export declare const error = "error";
export declare const warn = "warn";
export declare const off = "off";
export type RuleLevel = "error" | "warn" | "off" | 0 | 1 | 2;
export type RuleEntry<Options> = RuleLevel | [
	RuleLevel,
	Partial<Options>
];
export interface LocalRuleOptions {
	/** Bans import from the specifier '.' and '..' and replaces it with '.+/index' */
	"rules/no-import-dot": RuleEntry<unknown>;
	/**
	 * Enforce template literal expressions to be of `string` type
	 * @see [restrict-template-expressions](https://typescript-eslint.io/rules/restrict-template-expressions)
	 */
	"rules/restrict-template-expressions": RuleEntry<{
		allow: string[];
	}>;
	/** Ban assignment of empty object literals `{}` and replace them with `Object.create(null)` */
	"rules/no-empty-object-literal": RuleEntry<unknown>;
}
export type RuleOptions = Rules & Partial<LocalRuleOptions>;
/**
 * ESLint Configuration.
 * @see [ESLint Configuration](https://eslint.org/docs/latest/user-guide/configuring/)
 */
export type Config = Omit<ESLintConfig, "rules"> & {
	/**
	 * Rules.
	 * @see [Rules](https://eslint.org/docs/latest/user-guide/configuring/rules)
	 */
	rules?: RuleOptions;
};
/**
 * Returns a ESLint config object.
 *
 * By default, it includes `["@typescript-eslint", "import", "prettier"]` configs.
 * Additional bundled plugins include `["react", "react-refresh", "jsx-a11y", "unicorn"]`.
 */
export declare function extendConfig({ plugins, settings, rules, extends: _extends, overrides, ...rest }?: Config): ESLintConfig;

export {};
